<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<style>
    #z4_craft .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">香薰卡</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="香薰卡"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kind" class="select" lay-search>
                    <option value="1">300克</option>
                    <option value="2">600克</option>
                    <option value="3">1000克</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size: 14px; color: red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item" id="ui_size">
                <input type="text" name="size" id="size" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
            </div>

            <p>
                数量(个)
            </p>
            <div class="layui-form-item">
                <input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input" autocomplete="off">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                香味
            </p>
            <div class="layui-form-item" id="xiangwei">
                <select name="craft" class="select">
                    <option value="桂花">桂花</option>
                    <option value="爱马仕大地">爱马仕大地</option>
                    <option value="白茶">白茶</option>
                    <option value="东方风韵">东方风韵</option>
                    <option value="咖啡">咖啡</option>
                    <option value="柑橘">柑橘</option>
                    <option value="栀子花">栀子花</option>
                    <option value="玫瑰">玫瑰</option>
                    <option value="水蜜桃">水蜜桃</option>
                    <option value="迪奥真我">迪奥真我</option>
                    <option value="古龙">古龙</option>
                    <option value="海洋">海洋</option>
                    <option value="驱蚊香">驱蚊香</option>
                    <option value="苹果">苹果</option>
                    <option value="薰衣草">薰衣草</option>
                    <option value="凤梨">凤梨</option>
                    <option value="蔚蓝">蔚蓝</option>
                    <option value="乌木沉香">乌木沉香</option>
                    <option value="蓝风铃">蓝风铃</option>
                    <option value="小苍兰">小苍兰</option>
                    <option value="柠檬香">柠檬香</option>
                    <option value="茉莉">茉莉</option>
                    <option value="邂逅">邂逅</option>
                    <option value="无味">无味</option>
                </select>
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-form-item" id='z4_craft'>
                <div class="layui-input-block">
                    印面工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="单面" title="单面" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="双面" title="双面">
                </div>
                <div class="layui-input-block">
                    裁切工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="直角裁切" title="直角裁切" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="异形模切" title="异形模切">
                </div>

                <div class="layui-input-block">
                    常见工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="打孔" title="打孔">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="打码" title="打码">
                </div>
                <div class="layui-input-block">
                    包装：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="单独包装" title="单独包装" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="真空包装" title="真空包装">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="无需包装" title="无需包装">
                </div>

                <div class="layui-input-block">
                    配件：
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="配别针"
                           title="配别针">
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="配涤纶丝带"
                           title="配涤纶丝带">
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="配吊牌绳"
                           title="配吊牌绳">
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="配弹力绳"
                           title="配弹力绳">
                </div>
                <div class="layui-input-block">
                    穿配件：
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="穿别针"
                           title="穿别针">
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="穿涤纶丝带"
                           title="穿涤纶丝带">
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="穿吊牌绳"
                           title="穿吊牌绳">
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="穿弹力绳"
                           title="穿弹力绳">
                    <div class="layui-inline shengz scolor" style="width: 110px;display: none">
                        <select class="select" name="shen_color">
                            <option value="白色">白色</option>
                            <option value="黑色">黑色</option>
                        </select>
                    </div>
                </div>
                <div class="layui-input-block" id="peijian_ui" style="display: none">
                    配件颜色：
                    <div class="layui-inline shengz scolor" style="width: 110px;">
                        <select class="select" name="shen_color">
                            <option value="白色">白色</option>
                            <option value="黑色">黑色</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;


        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        const carft_list1 = ["单面", "双面"];

        const carft_list2 = ["直角裁切", "异形模切"];

        const carft_list3 = ["单独包装", "真空包装", "无需包装"];

        const carft_list4 = ["穿涤纶丝带", "穿吊牌绳", "穿弹力绳"];
        const carft_list5 = ["配涤纶丝带", "配吊牌绳", "配弹力绳"];

        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $(".ui_feb").show();
        $(".ui_feb select").attr("disabled", false);
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );

            const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            if (carft1.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("印面工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft2 = carft_list2.filter(craft => craft_list.includes(craft));
            if (carft2.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("裁切工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft3 = carft_list3.filter(craft => craft_list.includes(craft));
            if (carft3.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("包装工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
                form.render();
                return false;
            }
        })
        form.on('checkbox(peijian)', function (data) {
            let craft_list = [];
            $(".peijian:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
            const carft4 = carft_list4.filter(craft => craft_list.includes(craft));
            const carft5 = carft_list5.filter(craft => craft_list.includes(craft));
            if (carft4.length > 0 && carft5.length > 0) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('配 - 穿只能选择一种！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            if (carft4.length > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('穿只能选择一种！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            if ($(data.elem).is(":checked")) {
                $("#peijian_ui").show();
                $("#peijian_ui .scolor select").prop("disabled", false);
            } else {
                $("#peijian_ui").hide();
                $("#peijian_ui .scolor select").prop("disabled", true);
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count").val();
            var kind = $("select[name='kind'] option:selected").text();
            var craft = [];
            if (size == "") {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] > 42 || size.split("*")[1] > 28.5) && (size.split("*")[1] > 42 || size.split("*")[0] > 28.5)) {
                layer.msg('最大尺寸42*28.5cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] < 1 || size.split("*")[1] < 1)) {
                layer.msg('最小尺寸1*1cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            craft.push($("#xiangwei select[name='craft'] option:selected").val());
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if (carft_list4.indexOf($(this).val()) > -1) {
                        craft.push($(this).val() + $("#peijian_ui select[name='shen_color'] option:selected").val());
                    } else if ($(this).val() == "抠图") {
                        craft.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    } else {
                        craft.push($(this).val());
                    }
                }
            });

            const carft1 = carft_list1.filter(item => craft.includes(item));
            if (carft1.length == 0) {
                layer.msg("请选择印面工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            const carft2 = carft_list2.filter(item => craft.includes(item));
            if (carft2.length == 0) {
                layer.msg("请选择裁切工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            const carft3 = carft_list3.filter(item => craft.includes(item));
            if (carft3.length == 0) {
                layer.msg("请选择包装工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '香薰卡 - ' + kind + ' - ' + size + ' CM (同款内容)\n';

                    span_result += `工艺：` + craft.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>